<?PHP
	$sitename = "The QuakeForge Project";
	$pagename = "Files";
	require("parts/library.php");				// Load function library
	include("parts/head.php"); 				// Load the HEAD and open BODY
	include("parts/topstrip.php");			// Display top strip
	include("parts/titletable.php"); 		// Display main title w/ logos
?>
<TABLE width="100%" cellspacing=0 cellpadding=0 border=0>
	<TR valign="top">
		<?php
			include("parts/menu.php"); 			// Import left-side menus
			tableSpacer( 1, 9, 1, "black");		// Separate content from menus
		?>
		<TD width="100%">
			<?php
				$focused = "none";					// name of focused icon
				include( "parts/topmain.php" );	// Display content top table
			?>
                        <h4>QuakeForge 0.1.1</h4>
                        <a href="http://download.sourceforge.net/quake/quakeforge-0.1.1.tar.gz">quakeforge-0.1.1.tar.gz (1.3MB)</a>
                        <br><a href="http://download.sourceforge.net/quake/quakeforge-0.1.1.tar.bz2">quakeforge-0.1.1.tar.bz2 (1.1MB)</a>
                        <br><a href="http://download.sourceforge.net/quake/quakeforge-0.1.1.zip">quakeforge-0.1.1.zip (1.6MB)</a>
                        <h4>QuakeForge v991221 (Initial Release)</h4>
                        <a href="http://www.sourceforge.net/download.php?fileid=958">q1-991221.tar.gz (2.7MB)</a>
                        <br><a href="http://www.sourceforge.net/download.php?fileid=953">q1-991221.tar.bz2 (2.4MB)</a>
                        <br><a href="http://www.sourceforge.net/download.php?fileid=947">q1source.zip (3MB)</a>
			<p>
                        <h4>QuakeForge CVS Snapshots
		<? $ftime = filemtime("files/qf-current-snapshot.tar.gz"); 
print ("(" . date("M. j, g:i a", $ftime) . " PT)"); ?></h4>
                        <a href="files/qf-current-snapshot.tar.gz">qf-current-snapshot.tar.gz 
<? $size = filesize("files/qf-current-snapshot.tar.gz"); $size /= 1024 ;
print ("(". round($size) ."KB)"); ?></a>
                        <br><a href="files/qf-current-snapshot.tar.bz2">qf-current-snapshot.tar.bz2
<? $size = filesize("files/qf-current-snapshot.tar.bz2"); $size /= 1024 ;
print ("(". round($size) ."KB)"); ?></a>
                        <br><a href="files/qf_current_snapshot.zip">qf_current_snapshot.zip
<? $size = filesize("files/qf_current_snapshot.zip"); $size /= 1024 ;
print ("(". round($size) ."KB)"); ?></a>
			<h4>QuakeForge Win32 binaries</h4>
			Compiled from CVS on
		<? $f2time = filemtime("files/quakeforge-win32-current.zip"); 
print (date("M. j, g:i a", $f2time) . " PT"); ?><br><br>
			<a href="files/quakeforge-win32-current.zip">
			quakeforge-win32-current.zip
<? $size = filesize("files/quakeforge-win32-current.zip"); $size /= 1024 ;
print ("(". round($size) ."KB)"); ?></a>
			<h4>Quake Shareware files</h4>
                        <a href="files/quake106.zip">Quake v1.06 (8.7MB)</a>
                        <br><a href="files/quake_sw.tar.gz">quake_sw.tar.gz (8.7MB)</a>

<?//                        <br><br><b><u>Bug fixes</u></b>
  //                      <br>This is our GPL'd MD4 replacement for the proprietary code that was accidently left in the Quake1 Source release by id Software. Available in <a href="files/mdfour.tar.gz">tar.gz</a>(2.8KB) or <a href="files/mdfour.zip">zip</a>(3.8KB) formats.
                       ?> 
			<h4>Miscellaneous Files</h4>
                        Grab Taniwha's pak util replacement <a href="http://www.taniwha.org/">here.</a>
			<h4>Utilities</h4>
                        <h5>Linux / BSD / UNIX</h5>
                        <li>You can find a version of CVS on Cyclic's <a href="http://download.cyclic.com/pub/">ftp server</a>.
                        <br><li>Grab ssh 1.x so you can access shell1.sourceforge.net. You can get either <a href="http://www.openssh.org">OpenSSH</a> or a less free <a href="ftp://ftp.cs.hut.fi/pub/ssh/">SSH</a>
                        <br><li><a href="http://home.earthlink.net/~nawalker/pharmacy/">Pharmacy</a> is a GUI front-end to CVS in X11, it looks quite useful.
                        <br><li>Get a copy of the latest GCC compiler (latest is GCC v2.95): <a href="ftp://ftp.gnu.org/pub/gnu/gcc">ftp://ftp.gnu.org/pub/gnu/gcc</a>
                        <br><li>The GPL'd Quest Map editor which can edit Quake maps and runs on multiple OSs has a Linux version in the Quest project's CVS tree, <a href="files/quest-linux.tar.gz">this</a> is a tweaked version by Nelson Rush (palisade) which fixes a lot of the problems inherent in the CVS version. You have to edit the quest.cfg before using it. <a href="mailto:palisade@quakeforge.net">Email</a> Palisade for questions or comments.
                        
                       <h5>Windows 95/98/NT and DOS</h5>
                        <li>For Win95/98/NT users, <a href="http://www.chiark.greenend.org.uk/~sgtatham/putty/">Putty</a> is a good program that will allow you to telnet into your shell1.sourceforge.net account using SSH 1.x.
                        <br><li>There is a port of unix cvs, ssh and scp to Win9x/NT (console only) <a href="http://bmrc.berkeley.edu/people/chaffee/winntutil.html#sshnt">here</a>.
                        <br><li>Grab my <a href="files/sscp.bat">batch script</a> to make using the unix port of scp with sourceforge easier. (not midasoft)
                        <br><li>Grab my <a href="files/runme.bat">batch script</a> to properly set up the unix port for ssh and cvs. (not wincvs/midasoft)
                        <br><li>You can find WinCVS and MacCVS here: <a href="http://www.wincvs.org">http://www.wincvs.org</a>.
                        <br><li>Some useful gnu tools for Win9x/NT users are here: <a href="ftp://ftp.fe.up.pt/pub/Projectos/em96115/gnu-win32/misc">ftp://ftp.fe.up.pt/pub/Projectos/em96115/gnu-win32/misc</a>.<br><li>Cygnus GNU GCC Environment for Win32 is here: <a href="http://sourceware.cygnus.com/cygwin">http://sourceware.cygnus.com/cygwin</a>.
                        <br><li>DJGPP - 32-bit DOS port of GCC 2.95 compiler can be found <a href="http://www.delorie.com/djgpp">here</a>.
                        
                        <h5>BeOS</h5>
                        <li>SSH for BeOS is here: <a href="http://www.be.com/software/beware/network/ssh.html">http://www.be.com/software/beware/network/ssh.html</a>.
                        <br><li>The Egcs/GCC tool set (includes CVS) for BeOS can be found here: <a href="http://www.be.com/software/beware/development/gccegcs.html">http://www.be.com/software/beware/development/gccegcs.html</a>
                        
                        <h5>MacOS</h5>
                        <li>You can find MacCVS and WinCVS here: <a href="http://www.wincvs.org">http://www.wincvs.org</a>
                        <br><li>There are currently two different SSH clients for Mac: <a href="http://www.lysator.liu.se/~jonasw/download/niftytelnet-1.1-ssh-r3.hqx">Nifty Telnet SSH</a> and <a href="http://www.DataFellows.com/f-secure/ssh/mac/download.htm">F-Secure SSH Client</a>.
                        
                        <h5>OS/2</h5>
                        <li>You can find a ssh program <a href="ftp://ftp.cs.hut.fi/pub/ssh/os2/">here</a>.
                        <br><li>Cyclic has CVS for OS/2 <a href="http://download.cyclic.com/pub/os2/">here</a>.
                        
                        <h5>Multiplatform Tools</h5>
                        <li>The Mesa GL Graphics Library: <a href="http://www.mesa3d.org">http://www.mesa3d.org</a>.
                        <br><li>Simple DirectMedia Layer: <a href="http://www.devolution.com/~slouken/SDL">http://www.devolution.com/~slouken/SDL</a>
			<br><li>The latest SciTech MGL library can be found
			<a href=" http://www.scitechsoft.com/dp_mgl.html">here</a>.
		&nbsp;<br>
		</TD>
		<?php
			tableSpacer( 1, 9, 1, "black");
		?>
	</TR>
	<TR>
		<TD COLSPAN="4">
			<?php
				include("parts/copyright.php");
			?>
		</TD>
	</TR>
</TABLE>
