<?PHP
	$sitename = "The QuakeForge Project";
	$pagename = "Research Resource";
	require("parts/library.php");				// Load function library
	include("parts/head.php"); 				// Load the HEAD and open BODY
	include("parts/topstrip.php");			// Display top strip
	include("parts/titletable.php"); 		// Display main title w/ logos
?>
<TABLE width="100%" cellspacing=0 cellpadding=0 border=0>
	<TR valign="top">
		<?php
			include("parts/menu.php"); 			// Import left-side menus
			tableSpacer( 1, 9, 1, "black");		// Separate content from menus
		?>
		<TD width="100%">
			<?php
				$focused = "none";					// name of focused icon
				include( "parts/topmain.php" );	// Display content top table
			?>
			<P>
			<center><font size="+2">Welcome to the QuakeForge Research Resource</font><hr>
			<br>In the future, this space will provide 3D programming resources chosen by our developers as interesting or essential
			for work on enhancing the QuakeForge engine. Bookmark this page and check back when we've begun adding content, thank you.
			<br><br>
			<table width="90%" cellspacing="0" cellpadding="0" bgcolor="#000000" border="0">
			<tr align="center">
			<td><font size="1">
			<a href="research/books.php">
			<font size="2"><b>Relevant Books</b></font></a>
			<br>OpenGL, Mathematics, Theory, Game programming, etc.<br></font>
			</td><td><font size="1">
			<a href="research/engines.php">
			<font size="2"><b>Rendering engines and/or concepts</b></font></a>
			<br>Complete 3D engines, partial 3D engines, portal engines, BSP maps, model and texture implementations, steps/explainations for implementing, etc.<br></font>
			</td></tr>
			<tr align="center">
			<td><font size="1">
			<a href="research/mathalgo.php">
			<font size="2"><b>Mathematical Algorithms</b></font></a>
			<br>Surface Subdivison, Illumination, Reflections, Shadows, Shaders, Polygons, Vector Space, Affine Arithmetic, Bezier Curves, B-Spline Curves, Compression & Encryption, etc.<br></font>
			</td><td><font size="1">
			<a href="research/soundbytes.php">
			<font size="2"><b>Sound Bytes</b></font></a>
			<br>Speeches, Lectures, Events, etc.<br></font>
			</td></tr>
			<tr align="center">
			<td><font size="1">
			<a href="research/tut.php">
			<font size="2"><b>Tutorials</b></font></a>
			<br>Explainations of 3D engine development, networking, Quake specific archiecture, engine features, etc.<br></font>
			</td><td><font size="1">
			<a href="research/misc.php">
			<font size="2"><b>Misc. Texts</b></font></a>
			<br>Interviews, philosophy, theories, etc.<br></font>
			</td></tr></table>
			<br><br>
			<hr>Page last updated: April, 19th 2000<br>
		</TD>
		<?php
			tableSpacer( 1, 9, 1, "black");
		?>
	</TR>
	<TR>
		<TD COLSPAN="4">
			<?php
				include("parts/copyright.php");
			?>
		</TD>
	</TR>
</TABLE>
